---
schema_version: "1"
id: 9fb99b12d7ce8292288acd0acc4e64a3087280283e94a63944bc91f5370fb58f
title: Connection Not Established
collection: mulesoft
version: current
locale: en-us
portal_url: https://docs.salesforce.com/mulesoft/current/en-us/api-community-manager/troubleshooting-connection-not-established.md
canonical_url: https://docs.mulesoft.com/api-community-manager/troubleshooting-connection-not-established
source_site: docs.mulesoft.com
content_type: documentation
content_hash: d7fd58e35ac5cf6600f0b04e53a06e567d5e2db48c838f62617ac048db4c30a4
description: MuleSoft Documentation Site
latest: true
---
---
product: API Community Manager
---

# Connection Not Established

> For the full documentation index, see: https://docs.mulesoft.com/llms.txt

If an organization has multiple identity providers, the guided setup can fail to create the data
bridge between Anypoint and API Community Manager. During setup, an API request is sent to obtain
the identity provider ID and to check if it matches the ID that is entered. When there are more than
one identity providers, only the first identity provider ID from the response is read, which might
not match the ID that was entered.

Resolve this issue by changing the identity provider ID:

1.  To find the identity provider ID, run this request:

    `curl --location --request GET 'https://anypoint.mulesoft.com/accounts/api/organizations/<YOUR_ORG_ID>/identityProviders' \ --header 'Authorization: Bearer <TOKEN>'`

2.  Replace `<YOUR_ORG_ID>` with your organization ID and replace `<TOKEN>` with your token.

3.  In the response, find the line with the provider\_id:

    `"provider_id": "01234567-89ab-cdef-0123-456789abcdef",`

4.  In Salesforce, go to **Setup** > **Security** > **Named Credentials** and click **Anypoint**.

5.  Change the formula to the following:

    `"v2|IDP_ID|" & $User.Username & "|" & $User.FirstName & "|" & $User.LastName & "|" & $User.Email & "|[\"Community User\"]"`

6.  Replace `` IDP_ID` `` with the identity provider ID.

    For example:

    `"v2|83685668-9e8a-49c2-9d9a-7a7c89391cce|" & $User.Username & "|" & $User.FirstName & "|" & $User.LastName & "|" & $User.Email & "|[\"Community User\"]"`

## See Also

- [Known Issues](https://help.salesforce.com/s/issues)
